summaryrefslogtreecommitdiffstats
path: root/tests/posix/xdev.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/posix/xdev.sh')
-rw-r--r--tests/posix/xdev.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/tests/posix/xdev.sh b/tests/posix/xdev.sh
new file mode 100644
index 0000000..cbb3347
--- /dev/null
+++ b/tests/posix/xdev.sh
@@ -0,0 +1,13 @@
+skip_unless test "$SUDO"
+skip_if test "$UNAME" = "Darwin"
+
+rm -rf scratch/*
+mkdir scratch/{foo,mnt}
+sudo mount -t tmpfs tmpfs scratch/mnt
+$TOUCH scratch/foo/bar scratch/mnt/baz
+
+bfs_diff scratch -xdev
+ret=$?
+
+sudo umount scratch/mnt
+return $ret